Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 159684

Summary: net-misc/ksshaskpass (new ebuild)
Product: Gentoo Linux Reporter: Leo <sir_kalot>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED FIXED    
Severity: enhancement CC: aidanamarks, david, dev-zero, kde, mocksoul
Priority: High Keywords: EBUILD, InOverlay
Version: unspecifiedFlags: tampakrap: Bugday+
Hardware: All   
OS: Linux   
URL: http://www.kde-apps.org/content/show.php/Ksshaskpass?content=50971
Whiteboard: [kde testing]
Package list:
Runtime testing required: ---
Attachments: draft ksshaskpass-0.3.ebuild
draft ksshaskpass-0.3.ebuild
ksshaskpass-0.5.1 ebuild
ksshaskpass-0.5.1 ebuild. More accurate in kdeprefix-ed installs.

Description Leo 2007-01-02 00:36:20 UTC
here comes the kde version for askpass
Comment 1 Leo 2007-01-02 00:38:08 UTC
Created attachment 105133 [details]
draft ksshaskpass-0.3.ebuild

here is a draft of the ebuild but it gives me some prob with the docs installation
Maybe someone can fix it ;-)
Comment 2 Leo 2007-01-16 18:03:38 UTC
I've asked some help also on the forum, let see if I find someone there

http://forums.gentoo.org/viewtopic-p-3846625.html#3846625
Comment 3 Leo 2007-01-18 00:06:36 UTC
Created attachment 107325 [details]
draft ksshaskpass-0.3.ebuild

this one compiles
Comment 4 Tiziano Müller (RETIRED) gentoo-dev 2007-02-24 10:45:25 UTC
An ebuild is now in sunrise and soon available here:

http://gentoo-sunrise.org/svn/reviewed/kde-misc/ksshaskpass/
Comment 5 Jean-Baptiste Rouault 2008-12-23 17:29:49 UTC
Created attachment 176236 [details]
ksshaskpass-0.5.1 ebuild

New version for KDE 4
Comment 6 Jean-Baptiste Rouault 2008-12-23 23:40:50 UTC
An ebuild for 0.5.1 is now in kde-crazy overlay
Comment 7 Jisakiel 2009-01-19 12:43:19 UTC
99ssh_askpass is missing if you install it without kdeprefix. It should be distributed in the files/ folder containing the following line: 

SSH_ASKPASS="/usr/bin/ksshaskpass"
Comment 8 Navid Zamani 2009-02-18 11:44:43 UTC
how about ksshaskpass-0.5.1.ebuild not needing KDE 4?

Because KDE 4 is way too Gnomey / horrible / dumbed down for many users, so they still use KDE 3.5. I, for one, will stay on KDE 3.5 until the options in are all in KDE 4 again. And I’m far from the only one. :)

Is there a reason it has KDE 4 as a dependency? I want to help making it work in KDE 3.5
Comment 9 Vadim Fint 2009-05-24 11:10:11 UTC
Created attachment 192285 [details]
ksshaskpass-0.5.1 ebuild. More accurate in kdeprefix-ed installs.

Much more modified ebuild version:
 1. Actually honor kdeprefix use flag and put SSH_ASKPASS env setting either in /usr/kde/VERSION/env or /etc/kde/env.
 2. Make postinstall message more verbose.
Comment 10 Navid Zamani 2009-05-24 12:07:06 UTC
ksshaskpass 0.4.1 still has the problem, that when you’re too slow in entering the password right after login, autostarting scripts can't use it and just exit. (Like a script that’s mounting ssh directories.
I hope there will be a solution for this is 0.5.1.
Comment 11 Richard H. 2010-11-08 13:12:42 UTC
0.5.3 works out of the box by simply renaming the ebuild.
Comment 12 Leo 2010-11-09 09:51:01 UTC
Could you remove me from the ML please.
I'm the Reporter, but not using gentoo anymore.

Leo
Comment 13 Navid Zamani 2010-11-09 10:13:30 UTC
(In reply to comment #12)
> Could you remove me from the ML please.
> I'm the Reporter, but not using gentoo anymore.

I think you can remove your whole account. Or just change the e-mail preferences so you won’t receive anything anymore. And as a last resort, you can always just change the e-mail address to a non-existent one.
Comment 14 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-01-12 23:37:47 UTC
In tree, thank you all for your contributions